﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Viewing Conflict Counts for Elasticsearch-based Analytics Controls</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Viewing Conflict Counts for Elasticsearch-based Analytics Controls</h1>
        <p>You can analyze the analytics history in detail such as analyze the&#160;number of conflict counts for each analytics control.&#160;The analytic controls are dependent on the type of the parameters requested in the query. IGA creates each analytic control using a different type of SQL query depending on the analytic report that it must&#160;prepare. For more information, see&#160;<span class="inline-comment-marker">Creating New ES Based Control Request</span>.&#160;</p>
        <p>Conflicts are displayed based on the analytic controls. You can view the conflicts and corresponding details from the Analytics History page.&#160;</p>
        <h3>Viewing Total or Open Conflicts</h3>
        <p>To view the total number of conflict counts or open conflicts for an analytics control, perform the following steps:</p>
        <ol>
            <li>Open&#160;the <b>Analytics History</b> page.</li>
            <li>Select the&#160;<b>Version 2</b>&#160;tab, then&#160;select any category sub-tab. The controls are displayed in the subcategory window. </li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <ul>
                <li>
                    <p class="note">You can select the required subcategory and view the corresponding controls from the left side panel.</p>
                </li>
                <li>
                    <p class="note">You can use the Advanced Search option to search for controls within a subcategory.</p>
                </li>
            </ul>
        </div>
        <ol MadCap:continue="true">
            <li>Select the required subcategory from the left panel.</li>
            <li>Click the <strong>View History</strong> option from the <strong>History</strong> column corresponding to&#160;the control for which you want to analyze the conflicts. The page refreshes and displays the <strong>Run History</strong> page.</li>
            <li>
                <p class="auto-cursor-target">The top section of the&#160;<strong>Run&#160;History</strong> page displays a&#160;graphical representation of the number of conflicts for the previous runs of the selected analytic control. This number can represent the total number of conflicts or the number of new conflicts. The bottom of the page shows&#160;<strong>Run History List</strong>&#160;for the number of conflicts in a detailed tabular representation.</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <ul>
                        <li>
                            <p class="note">The&#160;Analytics Elasticsearch Run History page provides pagination, searching, and sorting functionalities. You can use the sort arrows provided with each column name to sort&#160;Run History List.</p>
                        </li>
                        <li>
                            <p>You can archive your old run history for analytics V2 controls and view it later if required. To view the archived data, go to the Show AnalyticsES Archive&#160;option in&#160;Run History List in the&#160;Analytics History page.</p>
                        </li>
                    </ul>
                </div>
            </li>
        </ol>
        <ol MadCap:continue="true">
            <li>To display all the conflicts or open conflicts available for that control,&#160;click on any numerical value (which is hyperlinked to the Details page) displayed under <strong>Total Conflict</strong> or <strong>Open Conflict</strong> columns.&#160;</li>
        </ol>
        <p style="margin-left: 30.0px;">In the page that opens, you can sort or filter the displayed columns of a conflict using the left panel.&#160;You can also keep the conflict Open or Accept the conflict from the Action column.&#160;</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">The keyword search (Search option) in the left-side filter of the Detail page is case-sensitive and must exactly match the&#160;entries in the columns on the right-side of the page.</p>
        </div>
        <h3 id="ViewingConflictCountsforESBasedAnalyticControl-ArchivingAnalyticsV2ControlData">Archiving Analytics V2 Control Data</h3>
        <p>You can now archive your old run history for analytics V2 controls and view it later if required. To&#160;view the archived data,&#160;click&#160;Show Analytics Archive in&#160;Run History List from the&#160;Analytics History page.</p>
        <p>To view and download the archived data, perform the following:</p>
        <ol>
            <li>
                <p>Select the analytics control from Analytics Configuration List.</p>
            </li>
            <li>
                <p>Click Run History link from the top right corner of the Analytics Control Detail page.&#160;The Conflict Count and&#160;Run History List are displayed.</p>
            </li>
            <li>
                <p>From&#160;Run History List, click&#160;<strong>Show AnalyticsES Archive</strong>. The Download Archive List V2&#160;page is displayed.</p>
            </li>
        </ol>
        <ol MadCap:continue="true">
            <li>
                <p>Click the&#160;<strong>Download</strong> button corresponding to the Archive File Name.&#160;This action downloads&#160;the archive list data&#160;for Analytics V2 controls in a zip file.&#160;The zip file contains the archive data in the CSV format.</p>
            </li>
        </ol>
        <p>&#160;</p>
    </body>
</html>